@import "../partials/colors";
@import '../partials/reset';
@import '../partials/demensions';
@import '../partials/mixins';
@import url(https://fonts.googleapis.com/css2?family=Montserrat&display=swap);

    .product-tyle{
        box-shadow: 6px 6px 5px  $gray;
        transition: all 1000ms ;
        
        &:hover{
            box-shadow: 14px 14px 8px  $gray;
            border: 1px solid $activeColor;
            transition: all 1000ms;
            background-color: $loadingColor;

            
        }
        @include flexBox(column, space-between,center);
        border: 1px solid $black;
        border-radius: 2px;
        background-color: $white;
        margin: 20px 0;
        padding:15px;
        a{
            text-decoration: none;
            color: $black;
        }
        .product-tyle-top{
            @include flexBox(column);
            width: 100%;
            img{
                &:hover{
                    border: 2px solid $activeColor;
                    transition: all 1000ms;
                    
                }
                border: 2px solid $black;
                width: 100%;
  
    
            }
        }

        .prodcut-tyle-midle{
            padding-top: 15px;
            width: 100%;

            text-align: center;
            .p-t-name{
                font-size: 1.1rem;
            }
            p{
                padding: $smallPadding;
                font-size: 0.8rem;
            }
        }
        .product-tyle-bottem{
            @include flexBox(column,space-between,center);
            width: 100%;
            padding-bottom: 0 !important;
           
            div{
                padding:$smallPadding ;
            }
            .price{
                position: relative;
                width: 100%;
                text-align: left;
                .promo-overlay{
                    position: absolute;
                    color: $red;
                    top:0;
                    // left: 15%;
                }
                .promo-discr{
                    font-size: 0.8rem;
                    padding-top: 5px;
                    max-width: 100px;
                }
                .price-background{
                    padding-bottom: 20px;
                    width: 100%;
                    text-align: right;
                    color:$gray;
                    text-decoration: line-through;
                }
            }
        }
        .add-to-card{ 
            width: 100%;
            &:hover{
                cursor: pointer;
            }
            .display-basket{
                @include flexBox();
                border: solid $black 1px;
                border-radius: 2px;
           
                height: 15px;
                color: $white;
                background-color: $black;
                font-size: 0.8rem;
                
            }
            .non-display-basket{
                display:none;
            }
            .in-basket{
                @include flexBox();
                border: $black 1px solid;
                border-radius: 2px;
                height: 15px;

                background-color: $white;

                a{
                    text-decoration: none;
                    color: $black;
                    font-size: 0.8rem;
                }
            }


        }
    }

@media only screen and (min-width: $smallScreen) {
    .product-tyle{
  
       margin: 0 !important;

        // max-height: 600px;
        .add-to-card{ 
            
            .display-basket{
              
                height: 25px;   
            }

            .in-basket{
                
                height: 30px;
            }


        }
        
        .product-tyle-bottem{
            @include flexBox(row,space-between,center);
            padding: $normalPadding;
            height: 50px;
            .price{
           
                .promo-overlay{

                    top:-45%;
                    left: -5%;
                }
                .promo-discr{
                    font-size: 0.8rem;
                    padding-top: 15px;
                    max-width: 100px;
                }
                .price-background{
                    color:$gray;
                    text-decoration: line-through;
                    text-align: left;
                    padding-bottom: 5px;
                }
                p{
                    width: 90px;
                    font-size: 1.2rem;
                }
            }
        }
      
    }

}